Run of fresh-snapshots for libntlm

Try this locally (using silver-platter):

debian-svp new-upstream --snapshot libntlm 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
Running ['new-upstream', '--snapshot']
Opening branch at https://salsa.debian.org/auth-team/libntlm.git/,branch=master
Using cached branch https://janitor.debian.net/git/libntlm/,branch=master
Total 932 (delta 0), reused 0 (delta 0), pack-reused 932
Total 12 (delta 0), reused 0 (delta 0), pack-reused 12
Total 32 (delta 0), reused 0 (delta 0), pack-reused 32
Total 44 (delta 16), reused 12 (delta 0), pack-reused 0
All changes applied successfully.
Workspace ready - starting.
Using upstream branch https://gitlab.com/jas/libntlm.git (from configuration)
24/233)
Total 2410 (delta 84), reused 119 (delta 51), pack-reused 2177
Using version string 1.6+git20201119.8d716b7.
No upstream upstream-revision format specified, trying tag:1.6
No upstream upstream-revision format specified, trying tag:libntlm-1.6
No upstream upstream-revision format specified, trying tag:v1.6
No upstream upstream-revision format specified, trying tag:v.1.6
Old upstream version '1.6' is not present in upstream branch <UpstreamBranchSource for 'https://gitlab.com/jas/libntlm.git/'>. Unable to determine whether upstream history is normally included. Assuming no.
Looking for upstream libntlm/1.6+git20201119.8d716b7 in upstream branch <breezy.memorybranch.MemoryBranch object at 0x7ff320639c70>.
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 228, in read_pkt_line
    sizestr = read(4)
  File "/usr/lib/python3.9/socket.py", line 704, in readinto
    return self._sock.recv_into(b)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 456, in fetch_pack
    result = self._client.fetch_pack(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 1043, in fetch_pack
    self._handle_upload_pack_tail(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 813, in _handle_upload_pack_tail
    pkt = proto.read_pkt_line()
  File "/srv/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 240, in read_pkt_line
    raise GitProtocolError(e)
dulwich.errors.GitProtocolError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 210, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 791, in process_package
    changer_result = build_target.make_changes(
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 461, in make_changes
    return self.changer.make_changes(
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 175, in make_changes
    return super(NewUpstreamChanger, self).make_changes(local_tree, subpath, *args, **kwargs)
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 1189, in make_changes
    result = merge_upstream(
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 875, in merge_upstream
    locations = primary_upstream_source.fetch_tarballs(
  File "/srv/janitor/debian-janitor/breezy-debian/upstream/branch.py", line 583, in fetch_tarballs
    fn = self.create_dist(rev_tree, package, version, td)
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 139, in create_dist
    return create_dist_schroot(
  File "/srv/janitor/debian-janitor/ognibuild/ognibuild/dist.py", line 121, in create_dist_schroot
    return create_dist(
  File "/srv/janitor/debian-janitor/ognibuild/ognibuild/dist.py", line 83, in create_dist
    export_directory, reldir = session.setup_from_vcs(
  File "/srv/janitor/debian-janitor/ognibuild/ognibuild/session/schroot.py", line 214, in setup_from_vcs
    dupe_vcs_tree(tree, export_directory)
  File "/srv/janitor/debian-janitor/ognibuild/ognibuild/vcs.py", line 45, in dupe_vcs_tree
    result = tree._repository.controldir.sprout(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/dir.py", line 216, in sprout
    sublocation.controldir.sprout(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/dir.py", line 180, in sprout
    interrepo.fetch_objects(determine_wants=determine_wants,
  File "/srv/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 778, in fetch_objects
    refs = self.source.controldir.fetch_pack(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 467, in fetch_pack
    raise parse_git_error(self.transport.external_url(), e)
breezy.git.remote.RemoteGitError: [Errno 104] Connection reset by peer

Full worker log Full dist log